Skip to navigation

Group info

Get a file group by its ID.

Groups are identified in a way similar to individual files. A group ID consists of a UUID followed by a “~” (tilde) character and a group size: integer number of the files in the group.

Authentication

Authorizationstring

Every request made to https://api.uploadcare.com/ MUST be signed. HTTPS SHOULD be used with any authorization scheme.

Requests MUST contain the Authorization header defining auth-scheme and auth-param: Authorization: auth-scheme auth-param.

Every request MUST contain the Accept header identifying the REST API version: Accept: application/vnd.uploadcare-v0.7+json.

There are two available authorization schemes:

  • For production: Uploadcare, a scheme where a signature, not your Secret API Key MUST be specified. Signatures SHOULD be generated on backend.
  • For quick tests: Uploadcare.Simple, a simple scheme where your Secret API Key MUST be specified in every request’s auth-param.

Path parameters

uuidstringRequired
Group UUID.

Headers

AcceptenumRequired
Version header.
Allowed values:

Response

Group's info
idstringOptional
Group's identifier.
datetime_createddatetimeOptional

ISO-8601 date and time when the group was created.

files_countintegerOptional>=1
Number of the files in the group.
cdn_urlstringOptionalformat: "uri"
Group's CDN URL.
urlstringOptionalformat: "uri"
Group's API resource URL.
fileslist of any or nullOptional
The list of files in the group. An array may contain null values if a file has been removed.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
406
Not Acceptable Error
429
Too Many Requests Error